[Overview][Procedures and functions][Index] | Reference for unit 'StreamIO' (#fcl)

# AssignStream

Assign a text file to a stream.

## Declaration

Source position: streamio.pp line 25

`procedure AssignStream(`
`var F: Textfile;`
`Stream: TStream`
`);`

## Arguments

`F` |  | The file one wishes to reroute through a stream.
`Stream` |  | The stream that should perform the actual I/O.

## Description

AssignStream assigns the stream Stream to file F. The file can subsequently be used to write to the stream, using the standard Write calls.

Before writing, call Rewrite on the stream. Before reading, call Reset.

## Errors

if Stream is Nil, an exception will be raised.

## See also

TStream
GetStream |  | Return the stream, associated with a file.

Documentation generated on: Feb 26 2014